@import url('https://fonts.googleapis.com/css2?family=Bai+Jamjuree:ital,wght@0,200;0,300;0,400;0,500;0,600;0,700;1,200;1,300;1,400;1,500;1,600;1,700&display=swap');
*,*::after,*::before{
    margin:0px;
    padding:0px;
    box-sizing: border-box;
}
:root{
    --green-500:hsl(171, 66%, 44%);
    --blue-100:hsl(233, 100%, 69%);
    --dark-gray:hsl(210, 10%, 33%) ;
    --light-gray:hsl(201, 11%, 66%) ;
}
body{
    font-family: "Bai Jamjuree","sans-serif";
    scroll-behavior: smooth;

}
main{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap:4rem;
}
.copy-logo{
     color:var(--green-500);
     font-size: 10rem;
     
}
.header,.headerf,.track{
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;


}
.header{
    width:100%;
    background-image: url(./images/bg-header-desktop.png);
    background-size: cover;
    background-repeat: no-repeat;

    gap:1rem;
    margin-bottom: 3rem;

    
}
.header h1{
    color:var(--dark-gray);
}
.header p{
    color:var(--light-gray);
}
.buttons{
    display: flex;
    justify-content: center;
    gap:2rem;

}
button{
    border:none;
    outline:none;
    padding:0.8rem 1.5rem;
    border-radius:1rem;
    cursor:pointer;
    color:white;
    box-shadow: 0px 0.1rem 0.1rem black;
    font-size: 0.89rem;
    font-weight: bold;


    
}
.ios{
    background-color: var(--green-500);
}
.mac{
   background-color: var(--blue-100);
}
.ios:hover{
    transition: background-color 0.5s 0s ease-out;
    background-color:hsl(171, 66%, 54%) ;
}
.mac:hover{
     transition: background-color 0.5s 0s ease-in-out;
     background-color:hsl(233, 100%, 79%);
}
.ios:active ,.mac:active{
    transition: transofrm 0.8s 0s ease-in-out,
    box-shadow 0.1s 0s ease-in;
    transform: translateY(3px);
    box-shadow: none;
    
}

.track{
    gap:1rem;
    color:var(--light-gray);
    width:50%;
}
.track h2{
    color:var(--dark-gray);
}
.hd-content{
    display: grid;
    grid-template-areas: 
    "image image content content"
    "image image content content";
    gap:1rem;

}
@keyframes slid-in {
    0%{
        transform:translate(-120vw);
        filter: opacity(0);
        
    }
    40%{
         filter: opacity(0.4);
    }
    100%{
        transform: translateX(0px);
        
    }
}
.hd-content img{
    grid-area: image;
    width:100%;
    animation:slid-in;
    animation-timeline: view(40% 0%);



}
.hd-content article{
    display: flex;
    color:var(--light-gray);
    flex-direction: column;
    gap:3rem;

    padding:5rem;

    
}
.hd-content div{
    width:80%;
}
.hd-content article h3{
    margin-bottom: 10px;
    color:var(--dark-gray);
    font-size: 1.5rem;
}
.hd-content article p{
    line-height: 1.6;
    letter-spacing: 1.5px;


}
.hd-content2,.hd-content3{
    text-align: center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap:2rem;
                                    
}
.hd-content2 div{
    width:80%;

}
.hd-content2 h2{
    margin-bottom: 1rem;
    color:var(--dark-gray);
    font-size: 2rem;

}
.hd-content2 p{
    color:var(--light-gray);
}
.hd-content2 img{
    width:100%;
    max-width:800px;
    animation: slid-in both;
    animation-timeline: view(100% 10%);
   
}
.hd-content3{
    gap:1rem;
}
.hd-content3 h2{
    color:var(--dark-gray);
    font-size: 2rem;
}
.hd-content3 p{
    color:var(--light-gray);
}

footer{
    width:100%;
    display: flex;
    justify-content: space-evenly;
    align-items: center;


}
.wrk-flow{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    justify-content: center;
    margin-bottom: 1rem;
    

}
.wrk-flow div{
    justify-self: center;
    width:100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap:1rem;

}
.wrk-flow div h3{
    color:var(--dark-gray);
}
.wrk-flow div p{
    width:80%;
    color:var(--light-gray);
    line-height: 1.5;
}
.wrk-flow img{
    width:50px;
    cursor: pointer;
}


.partners{
    padding:2rem;
    width:100%;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap:4rem;
}
.headerf{
    gap:1rem;
}
.headerf h2{
    color:var(--dark-gray);
}
.headerf p{
    margin-bottom: 2rem;
    color: var(--light-gray);
}


footer .footer-grid{
    display: grid;
    grid-template-rows: repeat(2,1fr);
    grid-template-columns: repeat(3,1fr);
    gap:0.5rem;

}
footer .copy-logo{
     font-size: 5.4rem;
     
     
}
.social-media{
    display: flex;
    gap:1rem;
    align-items: center;
}
footer p{
    cursor:pointer;
    text-decoration: none;
    color:var(--light-gray);
    
}
footer p:hover{
    color:var(--green-500);
}
@media (max-width:1100px){
.hd-content{
    align-items: center;
    padding-left: 1rem;
}
.partners{ 
    padding:2rem;
    max-width: 400px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap:2rem;
}
.partners img{
    width:100%;
    max-width:100px;
}

}
@media(max-width:799px){

.partners{
    padding:2rem;
    width:100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap:4rem;
}
.partners img{
    width:100%;
    max-width:200px;
}
.buttons{
    text-align: center;
    flex-direction: column;
    width:50%;
    justify-content: center;
    margin:auto;


}
.wrk-flow{
    display: flex;
    flex-direction: column;
}
.track{
    width:100%;
    padding:2rem;
}
.hd-content{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    padding:0px;
    gap:2rem;

}
.hd-content article div{
    text-align: center;
    width:100%;
    
}
footer {
    text-align:center;
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap:1rem;
    padding-bottom: 2.9rem;
}
footer .footer-grid{
    display: flex;
    flex-direction: column;
    gap:1rem;

}
footer .footer-grid p{
    font-size: 1.4rem;
}

}
